Subject: Re: bug#65306: [shepherd] ntpd throws shepherd out of the loop

From: Ludovic Courtès <[email-masked]>
Date: Sat, 02 Sep 2023 22:44:03 +0200

Hi,

Timotej Lazar <[email-masked]> skribis:

> Liliana Marie Prikler <[email-masked]> [2023-08-15 07:18:02+0200]:
>> As of recently (maybe it dates back longer, but I first experienced it
>> two weeks ago and just now got to debugging it a little), Shepherd gets
>> stuck at 100% CPU usage "early" on first boot.
>
> I have this issue on all Guix systems without a (working) RTC. It seems
> to be caused by a recentish update to guile-fibers:
>
> https://github.com/wingo/fibers/issues/89

Yeah, that’s the one.

Liliana, Timotej: could you try the Guix patch I posted at
<https://issues.guix.gnu.org/64966>?

Thanks,
Ludo’.